uni-bayreuth.de 39 packages

Last scanned on Oct 27 at 06:44 PM
urijs 1.19.0 - 1.19.8VulnerableOutdated
URI.js is a Javascript library for working with URLs.
License
MIT
Footprint
38 KB
Vulnerabilities
Leading white space bypasses protocol validation
Affected versions >=0 <1.19.9
Incorrect protocol extraction via \r, \n and \t characters
Affected versions >=0 <1.19.11
URL Confusion When Scheme Not Supplied in medialize/uri.js
Affected versions >=0 <1.19.11
Open Redirect in urijs
Affected versions >=0 <1.19.10
Matched Modules
Version distribution in production
20
1.19.11
13
1.19.6
12
1.19.0
12
1.19.1
12
1.19.2
12
1.19.3
react-is 16.3.0 - 16.13.1Outdated
Brand checking of React Elements.
@babel/runtime 7.14.0 - 7.16.3Outdated
babel's modular runtime helpers
+1
hzoo
existentialism
nicolo-ribaudo
core-js 3.19.2 - 3.19.3Outdated
Standard library
prop-types 15.7.0 - 15.7.2Outdated
Runtime type checking for React props and similar objects.
scheduler 0.15.0 - 0.23.0
Cooperative scheduler for the browser environment.
react 16.13.0 - 17.0.2Outdated
React is a JavaScript library for building user interfaces.
lodash.debounce 4.0.8
The lodash method `_.debounce` exported as a module.
hoist-non-react-statics 3.3.1 - 3.3.2
Copies non-react specific statics from a child component to a parent component
mridgway
mridgway
classnames 2.3.0 - 2.3.1Outdated
A simple utility for conditionally joining classNames together
history 5.0.0 - 5.2.0Outdated
Manage session history with JavaScript
graphql 0.1.0 - 0.1.6Outdated
A Query Language and Runtime which can target any service.
clsx 1.2.0 - 1.2.1
A tiny (228B) utility for constructing className strings conditionally.
react-fast-compare 3.1.0 - 3.2.0
Fastest deep equal comparison for React. Great for React.memo & shouldComponentUpdate. Also really fast general-purpose deep comparison.
shallowequal 1.0.1 - 1.1.0
Like lodash isEqualWith but for shallow equal.
react-lifecycles-compat 3.0.4
Backwards compatibility polyfill for React class components
+2
gaearon
acdlite
fb
resize-observer-polyfill 1.5.0Outdated
A polyfill for the Resize Observer API
promise-polyfill 6.1.0 - 8.2.3
Lightweight promise polyfill. A+ compliant
exenv 1.1.0 - 1.2.2
React's ExecutionEnvironment module extracted for use in other packages & components
@material-ui/utils 4.10.2 - 4.11.2Outdated
Material-UI Utils - Utility functions for Material-UI.
@material-ui/core 4.9.5 - 4.12.4
React components that implement Google's Material Design.
@mui/material 5.0.0 - 5.10.11
React components that implement Google's Material Design.
json2mq 0.2.0
Generate media query string from JSON or javascript object
akiran
akiran
string-convert 0.2.0 - 0.2.1
String convertions
akiran
akiran
@material-ui/styles 4.0.0 - 4.11.5
Material-UI Styles - The styling solution of Material-UI.
react-modal 3.14.1 - 3.16.1
Accessible modal dialog component for React.JS
@material-ui/icons 1.0.0 - 1.1.1Outdated
Material Design Svg Icons converted to Material-UI React components.
shortid 2.2.15 - 2.2.16
Amazingly short non-sequential url-friendly unique id generator.
enquire.js 2.1.6
Awesome Media Queries in JavaScript
io-ts 0.7.0 - 1.8.0Outdated
TypeScript runtime type system for IO decoding/encoding
react-slick 0.27.11 - 0.28.1Outdated
React port of slick carousel
bootstrap-vue 2.0.0 - 2.1.0Outdated
With more than 85 components, over 45 available plugins, several directives, and 1000+ icons, BootstrapVue provides one of the most comprehensive implementations of the Bootstrap v4 component and grid system available for Vue.js v2.6, complete with extens
react-animate-height 2.0.16 - 2.1.0Outdated
Lightweight React component for animating height using CSS transitions.
react-instantsearch-core 5.2.0 - 6.38.0
⚡ Lightning-fast search for React, by Algolia
@splitsoftware/splitio 10.8.0 - 10.17.3Outdated
Split SDK
+5
joshsirota
ezamora.split
patricioe
speakingurl 14.0.0 - 14.0.1
Generate a slug – transliteration with a lot of options
ramda-adjunct 2.13.0 - 2.26.0Outdated
Ramda Adjunct is the most popular and most comprehensive set of utilities for use with Ramda, providing a variety of useful, well tested functions with excellent documentation.
fp-ts-contrib 0.1.21 - 0.1.29
A community driven utility package for fp-ts
lottie-api 1.0.0 - 1.0.2Outdated
A library to edit lottie-web animations dynamically
airnan
airnan